Bug 1565842 - openshift_docker_blocked_registries: removing or setting to null fails to remove values from /etc/sysconfig/docker
Summary: openshift_docker_blocked_registries: removing or setting to null fails to rem...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 22:02 UTC by Judd Maltin
Modified: 2018-04-13 01:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-13 01:37:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Judd Maltin 2018-04-10 22:02:59 UTC
Description of problem:

openshift_docker_blocked_registries: removing or setting to null fails to remove values from /etc/sysconfig/docker

Version-Release number of the following components:
openshift-ansible-3.7.23-1.git.0.bc406aa.el7.noarch
ansible-2.4.1.0-1.el7.noarch
ansible 2.4.1.0
  config file = /etc/ansible/ansible.cfg
  configured module search path = [u'/root/.ansible/plugins/modules', u'/usr/share/ansible/plugins/modules']
  ansible python module location = /usr/lib/python2.7/site-packages/ansible
  executable location = /bin/ansible
  python version = 2.7.5 (default, May  3 2017, 07:55:04) [GCC 4.8.5 20150623 (Red Hat 4.8.5-14)]

How reproducible:

Steps to Reproduce:
First, I successfully deploying an environment with:
openshift_docker_blocked_registries=registry.access.redhat.com,docker.io
and seeing in /etc/sysconfig/docker
BLOCK_REGISTRY='--block-registry registry.access.redhat.com --block-registry docker.io'

Second, I commented it out 
#openshift_docker_blocked_registries=registry.access.redhat.com,docker.io
and ran the playbook.  The value is still set as above.

Third, I set it to null
openshift_docker_blocked_registries=
and ran the playbook.  The value is still set as above.

Fourth, I set the value to nonsense.
openshift_docker_blocked_registries=nonsense

That created the nonsense value.

Actual results:
No Error

Expected results:
Remove all blocked registries.

Comment 1 Scott Dodson 2018-04-11 13:25:25 UTC
(In reply to Judd Maltin from comment #0)
> Fourth, I set the value to nonsense.
> openshift_docker_blocked_registries=nonsense
> 
> That created the nonsense value.

You mean it set

BLOCK_REGISTRY='--block-registry nonsense'

or

BLOCK_REGISTRY='--block-registry registry.access.redhat.com --block-registry docker.io --block-registry nonsense'

If the first then that seems like a decent workaround and I don't think we'll get to fixing this one so we'd CLOSED WONTFIX with the workaround.

Comment 2 Judd Maltin 2018-04-11 17:57:37 UTC
Yes, it set: 

BLOCK_REGISTRY='--block-registry nonsense'

Comment 3 Scott Dodson 2018-04-13 01:37:36 UTC
I'm sorry but we're not going to get to fix this.


Note You need to log in before you can comment on or make changes to this bug.